<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package sin
 */

get_header(); ?>

<?php
$home_layout = get_theme_mod('home_layout', 0);
if($home_layout){
?>
<div class="col-md-12">
<?php }else{?>
<div class="col-md-8">
<?php }?>

  <section id="primary" class="content-area">
    <main id="main" class="site-main">

    <?php
    if ( have_posts() ) : ?>

      <header class="page-header">
        <h1 class="page-title"><?php
          /* translators: %s: search query. */
          printf( esc_html__( 'Search Results for: %s', 'sin' ), '<span>' . get_search_query() . '</span>' );
        ?></h1>
      </header><!-- .page-header -->

      <?php
      /* Start the Loop */
      while ( have_posts() ) : the_post();

        /**
         * Run the loop for the search to output the results.
         * If you want to overload this in a child theme then include a file
         * called content-search.php and that will be used instead.
         */
        get_template_part( 'template-parts/content', 'search' );

      endwhile;

      if (get_theme_mod('blog_pagination') == 'navigation') {
        sin_posts_navigation();
      } else {
        sin_posts_pagination();
      }

    else :

      get_template_part( 'template-parts/content', 'none' );

    endif; ?>

    </main><!-- #main -->
  </section><!-- #primary -->
</div>
<?php
sin_sidebar_select();
get_footer();
